OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.ComparisonFunction

Description

This is a purely internal module for (un-)marshaling ComparisonFunction.

# Documentation

data ComparisonFunction Source

Constructors

Never |
Less |
Equal |
Lequal |
Greater |
Notequal |
Gequal |
Always |

Instances

Eq ComparisonFunction |
Ord ComparisonFunction |
Show ComparisonFunction |

marshalComparisonFunction :: ComparisonFunction -> GLenum Source

unmarshalComparisonFunction :: GLenum -> ComparisonFunction Source